ODK API Portal
English
  • Overview
  • MediaIO
  • Continue Watching
  • Player Event
  • 지원 종료
  • 최근 변경
Information
apple
category
channels
check-region
client-base
client-log
config
contact-us
cover
curation
epg
episode
episodes
fast-channel
firetv
google
live-tv
navigation
notice
otp
page
payment
playback-log
playback
profile
program
    프로그램 상세 조회get프로그램의 에피소드 목록get
programs
promotion-banner
reward
samsung
search
shorts
sponsor
tv-guide
user
visio-amasian-feed
Schemas
powered by Zudoku
ODX API v3
ODX API v3

program


프로그램 상세 조회

GET
https://odkmedia.io
/odx/api/v3/program/{slug}/

Program Detail API.

live_schedule: 현재 라이브 + 예정 스케줄 목록 (없으면 null) promo_video_url: 프로모션 영상 URL (없으면 null)

프로그램 상세 조회 › path Parameters

slug
​string · required

프로그램 상세 조회 › query Parameters

debug
​string

If value is "on", debug is included in response.

프로그램 상세 조회 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

프로그램 상세 조회 › Responses

200
OdxV3Program
​OdxV3EpisodeIdentifiers · required
slug
​string · maxLength: 256 · pattern: ^[-a-zA-Z0-9_]+$ · required
​object
badges
​string · readOnly
​array | null
​

Default SalesType value for episode of program

  • GUEST - Guest
  • FREE - Free
  • PPV - Ppv
  • PLUS - Plus
  • PREMIUM - Premium
  • NO_ADS - No Ads
  • VIP - Vip
  • VIP+ - Vip Plus
free_episode
​string · readOnly
​array | null
id
​integer · readOnly
​object
is_coming_soon
​string · readOnly

If this program has episode (except for trailer, clip episodes), this value is true.

is_favorite
​string · readOnly
kinds_of_episodes
​string · readOnly

Kinds of episode that the program has.

​object | null · readOnly

해당 프로그램의 현재 라이브 및 예정 스케줄 목록을 시간순으로 반환.

  • 라이브 스트리밍 에피소드가 없거나 예정 스케줄이 없으면 null 반환.
  • 취소되지 않았고(진행중 포함), 오늘 아직 종료되지 않았거나 미래 날짜인 스케줄만 포함.
  • 경기가 있는 가장 가까운 2일치만 반환 (연속된 날짜가 아닌 distinct date 기준).
  • 시간은 PST(America/Los_Angeles)로 변환되어 반환.
  • title은 EpisodeLiveStreaming.category에서 파생.
  • FE는 이 값이 null이 아니면 스포츠 허브 UI를 렌더링한다.
​object

ref: <app.content.schemas.PROGRAM_META>

partner
​string · readOnly

콘텐츠 제공사 슬러그 반환.

​array | null
ppv
​string · readOnly
produce_year
​integer | null

yyyy

​

프로모션 영상 URL (예: KBO/KLPGA 주간 프로모 영상)

publish_start
​string | null · date-time

(UTC) Publish_start Datetime of program. (e.g. 2022-08-02T00:00:00Z)

release_status
​string · enum · readOnly
  • coming-soon - Coming Soon
  • completed - Completed
  • on-air - On Air
  • unknown - Unknown
Enum values:
coming-soon
completed
on-air
unknown
secondary_title
​string | null · maxLength: 255
seo_keyword
​string | null
seo_synopsis
​string | null
seo_title
​string | null · maxLength: 255
​object | null · readOnly

Active SponsorshipPromotion containing this program, or None.

Relies on Prefetch(..., to_attr='active_promotions') in ProgramView. UniqueConstraint on SponsorshipPromotion guarantees at most one active.

synopsis
​string
title
​string · maxLength: 255
user_payment
​string · readOnly
uuid
​string · uuid · readOnly

This value is not editable.

GET/odx/api/v3/program/{slug}/
curl https://odkmedia.io/odx/api/v3/program/:slug \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "age_rating": { "is_block": true, "label": "All", "name": "All" }, "badges": "badges", "categories": [ { "id": 0, "slug": "slug", "title": "title" } ], "default_sales_type": "GUEST", "direct_play_episode": { "id": 0, "sales_type": "GUEST", "slug": "slug" }, "free_episode": "free_episode", "genres": [ { "id": 0, "slug": "slug", "title": "title" } ], "id": 0, "images": { "poster": "https://www.example.com/path/to/resource", "poster_landscape": "https://www.example.com/path/to/resource", "poster_portrait": "https://www.example.com/path/to/resource" }, "is_coming_soon": "is_coming_soon", "is_favorite": "is_favorite", "kinds_of_episodes": "kinds_of_episodes", "live_schedule": { "key": {} }, "meta": { "cc_languages": [ "ko" ], "episode_total": 0, "hide_ep_date": "hide_ep_date", "iab_content_taxonomies": "iab_content_taxonomies", "produce_countries": [ "KR" ], "running_time": 0 }, "partner": "partner", "people": [ { "info": {}, "name": "name", "role": "role", "slug": "slug" } ], "ppv": "ppv", "produce_year": 0, "promo_video_url": "https://www.example.com/path/to/resource", "publish_start": "2024-08-25T15:00:00Z", "release_status": "coming-soon", "secondary_title": "secondary_title", "seo_keyword": "seo_keyword", "seo_synopsis": "seo_synopsis", "seo_title": "seo_title", "slug": "slug", "sponsorship": { "key": {} }, "synopsis": "synopsis", "title": "title", "user_payment": "user_payment", "uuid": "00000000-0000-0000-0000-000000000000" }
json
application/json

프로그램의 에피소드 목록

GET
https://odkmedia.io
/odx/api/v3/program/{slug}/episodes/

프로그램의 에피소드 목록 › path Parameters

slug
​string · required

프로그램의 에피소드 목록 › query Parameters

debug
​string

If value is "on", debug is included in response.

kind
​string

에피소드 종류(들). 콤마로 여러 개 지정 가능(예: kind=series,main). live_streaming 은 지정 여부와 무관하게 항상 포함된다.

ordering
​string

Which field to use when ordering the results.

page
​integer

A page number within the paginated result set.

page_size
​integer

Number of results to return per page.

search
​string

A search term.

프로그램의 에피소드 목록 › Headers

Service-Name
​string · enum · required

요청을 처리할 서비스. v3 에서 유효한 값은 odk, odc 뿐이다 (content.constants.Service; v4 는 다른 값 체계를 쓴다).

Enum values:
odk
odc
Example: odk
Accept-Language
​string

"zh-Hans", "zh-Hant" is deprecated. Supported values: ko, en, es, zh-Hans, zh-Hant, pt, vi (default: en) — see LANGUAGES in app/settings/base.py.

Example: ko-KR,ko;q=0.9,en;q=0.8

프로그램의 에피소드 목록 › Responses

200
PaginatedOdxV3EpisodeListWithBadgesList
count
​integer
next
​string | null · uri
previous
​string | null · uri
​OdxV3EpisodeListWithBadges[]
GET/odx/api/v3/program/{slug}/episodes/
curl https://odkmedia.io/odx/api/v3/program/:slug/episodes \ --header 'Service-Name: odk' \ --header 'Authorization: <api-key>'
Example Responses
{ "count": 123, "next": "http://api.example.org/accounts/?page=4", "previous": "http://api.example.org/accounts/?page=2", "results": [ { "age_rating": { "is_block": true, "label": "All", "name": "All" }, "badges": "badges", "display_duration": "display_duration", "id": 0, "images": { "thumbnail": "https://www.example.com/path/to/resource" }, "kind": "series", "meta": "meta", "number": 0, "part": 0, "release_date": "2024-08-25", "sales_type": "sales_type", "seo_keyword": "seo_keyword", "seo_synopsis": "seo_synopsis", "seo_title": "seo_title", "slug": "slug", "synopsis": "synopsis", "title": "title", "uuid": "00000000-0000-0000-0000-000000000000", "video_cc_languages": [ "ko" ], "video_duration": 0 } ] }
json
application/json

profileprograms